package org.fuseri.modulemail.service;


import jakarta.websocket.server.PathParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/mail")
public class MailControler {

    private final MailService service;

    @Autowired
    public MailControler(MailService service) {
        this.service = service;
    }


    @GetMapping("/{id}")
    public ResponseEntity getEmail(@PathVariable("id") Long id) {
        return ResponseEntity.ok(service.getMail(id).toString());
    }

    @DeleteMapping("/delete/{id}")
    public ResponseEntity deleteMail(@PathVariable("id") Long id) {
        return ResponseEntity.ok(service.DeleteMail(id));
}

    @PostMapping()
    public ResponseEntity sendMail(@RequestBody EmailDto emailDto) {
        return ResponseEntity.ok(service.send(emailDto));
    }


}
